"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path_1 = tslib_1.__importDefault(require("path"));
// @ts-ignore
const rollup_plugin_typescript_1 = tslib_1.__importDefault(require("rollup-plugin-typescript"));
function createRollupConfig(isServer) {
    // 打包后会加一层 lib/
    const resolvePath = (p) => path_1.default.resolve(__dirname, '../..', p);
    const inputOptions = {
        input: isServer ? resolvePath('src/server.ts') : resolvePath('src/client.tsx'),
        plugins: [
            rollup_plugin_typescript_1.default({
                tsconfig: resolvePath('tsconfig.json'),
            })
        ]
    };
    const outputOptions = {
        file: isServer ? resolvePath('lib/server.js') : resolvePath('lib/client.js'),
        format: isServer ? 'commonjs' : 'umd',
        name: 'ServerRenderer',
    };
    return {
        inputOptions,
        outputOptions,
    };
}
exports.createRollupConfig = createRollupConfig;
