import * as React from 'react'
import * as types from 'src/types'

const App: React.FC<types.AppProps> = ({
  Component, ...otherProps
}) => {
  if (Component) {
    return <Component {...otherProps}/>
  }
  return null
}

App.getInitialProps = async ({ Component }: types.GetInitialPropsParams) => {
  if (Component && Component.getInitialProps) {
    return await Component.getInitialProps()
  }
  return {}
}

export default App